Page MenuHomePhabricator

ApiQuerySiteinfo.php: PHP Notice: Undefined index: 103
Closed, ResolvedPublic

Description

Error

Request ID: XA2l9gpAIDsAALyf6TkAAABO

message
[{exception_id}] {exception_url} ErrorException from line 324 of /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiQuerySiteinfo.php: PHP Notice: Undefined index: 103
trace
#0 /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiQuerySiteinfo.php(324): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiQuerySiteinfo.php(48): ApiQuerySiteinfo->appendNamespaceAliases(string)
#2 /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiQuery.php(249): ApiQuerySiteinfo->execute()
#3 /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiMain.php(1576): ApiQuery->execute()
#4 /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiMain.php(531): ApiMain->executeAction()
#5 /srv/mediawiki/php-1.33.0-wmf.6/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#6 /srv/mediawiki/php-1.33.0-wmf.6/api.php(87): ApiMain->execute()
#7 /srv/mediawiki/w/api.php(3): include(string)

Notes

See also T206030.

Started a few days ago on December 5th and specific to yue.wiktionary.org.

Event Timeline

Krinkle created this task.Dec 9 2018, 11:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 9 2018, 11:54 PM
Krinkle renamed this task from T206030 to ApiQuerySiteinfo.php: PHP Notice: Undefined index: 103.Dec 9 2018, 11:54 PM

Change 477856 had a related patch set uploaded (by Krinkle; owner: Urbanecm):
[operations/mediawiki-config@master] Fix bad namespace number for yuewiktionary

https://gerrit.wikimedia.org/r/477856

Krinkle assigned this task to Urbanecm.Dec 10 2018, 12:26 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 10 2018, 12:26 AM

Change 478348 had a related patch set uploaded (by Krinkle; owner: Urbanecm):
[operations/mediawiki-config@master] tests: Assert that extra namespaces have correspondent talk namespaces

https://gerrit.wikimedia.org/r/478348

Change 477856 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix bad namespace number for yuewiktionary

https://gerrit.wikimedia.org/r/477856

Mentioned in SAL (#wikimedia-operations) [2018-12-10T00:55:53Z] <krinkle@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Ic07ff9acfbe17 - T211529, T205546 (duration: 00m 47s)

Urbanecm closed this task as Resolved.Dec 10 2018, 12:26 PM

Looks like resolved to me - reopen if I'm wrong.

Change 478348 merged by jenkins-bot:
[operations/mediawiki-config@master] tests: Assert that extra namespaces have correspondent talk namespaces

https://gerrit.wikimedia.org/r/478348

Mentioned in SAL (#wikimedia-operations) [2019-01-10T09:45:23Z] <gilles@deploy1001> Synchronized tests/InitialiseSettingsTest.php: T211395 T211529 tests: Assert that extra namespaces have correspondent talk namespaces (duration: 00m 56s)